A simple library that will shoehorn an audio file into Unity + Timberborn's AudioClip system. The way to play that clip varies, but Timberborn essentially has a list of AudioClips and it accesses them in various ways using a string as ID. This Library allows you to load your own sound files/data into that system, and add it to that list.

There is also some kind of Audio grouping system, and if your sound's clipName doesn't conform correctly, it crashes the game. I don't understand the group system super well, but I've been able to put different sounds in different groups by altering its ID string/clipName.
If the clipName string begins with 'UI.\<clipName\>', then it will end up in the UI group ¯\\(°\_o)/¯

Clips in the UI group can be played with the Timberborn.UISound.UISoundController::PlaySound2D() object method, probably by other means too. Have fun!


Example/Usage:

AudioLoader.I.Load(string filePath, string clipName, UnityEngine.AudioType.MPEG);	//mp3 from a file
AudioLoader.Instance.Load(byte[] rawData, string clipName, AudioType.OGG);			//ogg from the raw bytes (writes the file to temp, then uses the above. For techincal reasons.)
